summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index 17e4d21..2a9825d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,15 @@
#!/bin/bash
-aclocal
+gprefix=`which glibtoolize 2>&1 >/dev/null`
+if [ $? -eq 0 ]; then
+ glibtoolize --force
+else
+ libtoolize --force
+fi
+aclocal -I m4
+autoheader
+automake --add-missing
autoconf
-automake
-./configure
+
+if [ -z "$NOCONFIGURE" ]; then
+ ./configure "$@"
+fi